<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">


    <LinearLayout
        android:id="@+id/question_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="MissingConstraints">
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="@string/add_a_thematic" />
        <EditText
            android:id="@+id/thematic_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="30dp"
            android:gravity="center"
            android:hint="@string/thematic_name"
            android:importantForAutofill="no"
            android:inputType="text" />
        <TableLayout
            android:id="@+id/tableLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="23dp"
            android:stretchColumns="*">
            <TextView android:id="@+id/question_number" android:text="@string/question_n_1_d" android:gravity="center"/>
            <TableRow
                android:id="@+id/tableRow"
                android:layout_width="match_parent"
                android:layout_gravity="center"
                android:layout_height="wrap_content"
                android:weightSum="1">

                <EditText
                    android:id="@+id/base_question"
                    android:gravity="center"
                    android:layout_gravity="center"
                    android:hint="@string/question_here"
                    android:inputType="text"
                    tools:ignore="Autofill" />
            </TableRow>
            <TableRow
                android:id="@+id/tableRow1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:weightSum="1">

                <TextView
                    android:id="@+id/answerLabel"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_column="0"
                    android:gravity="center"
                    android:text="@string/answer" />

                <TextView
                    android:id="@+id/isRightAnswerLabel"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_column="0"
                    android:gravity="center"
                    android:text="@string/is_right_answer" />
            </TableRow>
            <TableRow
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:weightSum="1">

                <EditText
                    android:id="@+id/base_answer"
                    android:gravity="center"
                    android:hint="@string/answer_here"
                    android:inputType="text"
                    tools:ignore="Autofill" />

                <CheckBox
                    android:id="@+id/base_is_right_answer"
                    android:layout_gravity="center" />
            </TableRow>
            <Button android:id="@+id/addAnswer" android:text="@string/add_another_answer"/>
        </TableLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="bottom"
        android:gravity="bottom"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="10dp"
            android:orientation="horizontal"
            tools:ignore="UselessParent">

            <Button
                android:id="@+id/addQuestion"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="@string/add_another_question" />

            <Button
                android:id="@+id/end"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="@string/end" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>